BEGIN WILLYBP



IF ~Global("WillieBruceJoined","LOCALS",1)~ THEN BEGIN WillieBruceBoot
  SAY ~Use y' loaf! You need me in the group.~ [WILLY072]
  ++ ~Oops.~ DO ~JoinParty()~ EXIT
  ++ ~Git!~ GOTO WillieBruceBoot1
END

IF ~~ THEN BEGIN WillieBruceBoot1
  SAY ~I'll be at the pub.~
  IF ~~ THEN DO ~SetGlobal("WillieBruceJoined","LOCALS",0)SetGlobal("WillieBruceKickedOut","LOCALS",1)EscapeAreaMove("AR0406",896,1199,7)~
EXIT
END



IF ~Global("WillieBruceJoined","LOCALS",0)Global("WillieBruceKickedOut","LOCALS",1)~ THEN BEGIN WillieBruceRejoin
  SAY ~What? Got y'self into a pickle and need me services?~ [WILLY073]
  ++ ~Let's go.~ DO ~SetGlobal("WillieBruceJoined","LOCALS",1)JoinParty()~ EXIT
  ++ ~Screw you.~ GOTO WillieBruceRejoin1
END

IF ~~ THEN BEGIN WillieBruceRejoin1
  SAY ~Do me a favour!~
  IF ~~ THEN EXIT
END
